## org.apache.felix.httplite.server
Class ServletHandler

    java.lang.Object
      org.apache.felix.httplite.server.ServletHandler

All Implemented Interfaces:
  ServiceRegistrationHandler

    public class ServletHandler

extends java.lang.Object
implements ServiceRegistrationHandler

Handles servlet processing. This class encapsulates the work done on a servlet given a request and response.

Constructor Summary
`ServletHandler(HttpServletRequestImpl request, HttpServletResponseImpl response, ServiceRegistration element, Logger m_logger)`

Method Summary
`void` `handle(boolean close)` Process the servlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletHandler

    public ServletHandler(HttpServletRequestImpl request,
                          HttpServletResponseImpl response,
                          ServiceRegistration element,
                          Logger m_logger)

Parameters:
  `request` - Http Request
  `response` - Http Response
  `element` - Servlet Registration
  `m_logger` - Logger

Method Detail

### handle

    public void handle(boolean close)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Process the servlet.

  Specified by:
    `handle` in interface `ServiceRegistrationHandler`
  Parameters:
    `close` - true if not keep-alive connection.
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.